dummy-link

LLVM

Julia wrapper for the LLVM C API

Readme

LLVM C API wrapper

A Julia wrapper for the LLVM C API.

Installation

LLVM.jl is a registered package, and can be installed using the Julia package manager:

Pkg.add("LLVM")

NOTE: the current version of this package requires Julia 0.7. Only older versions of this package, v0.5.x, work with Julia 0.6, and require a source-build of Julia.

License

LLVM.jl is licensed under the NCSA license.

If you use this package in your research, please cite the following paper:

@article{besard:2017,
  author    = {Besard, Tim and Foket, Christophe and De Sutter, Bjorn},
  title     = {Effective Extensible Programming: Unleashing {Julia} on {GPUs}},
  journal   = {IEEE Transactions on Parallel and Distributed Systems},
  year      = {2018},
  doi       = {10.1109/TPDS.2018.2872064},
  ISSN      = {1045-9219},
}

First Commit

08/19/2016

Last Touched

1 day ago

Commits

571 commits

Requires: